• 课程 / PHP

    ThinkPHP6.0极速入门(视频教程)

    最新:PHP就业班,三个月集训!

    立即报名 >
    介绍章节评论课件
    ThinkPHP是国内最流行的中文轻量级开发框架, ThinkPHP6.0是它的最新版本,基于全新的PHP7.1+语法, 充分利于PHP7的高性能, 让开发工作更上一层楼! 为了让大家第一时间体验全新版本, PHP中文网制作发布了该教程~~ ThinkPHP6.0完全开发手册(官方版)http://www.php.cn/course/1049.html
  • 难度:中级
  • 共20章节
  • 252846次播放
  • 第1章 ThinkPHP6.0 简介
    ThinkPHP6.0 简介
    第2章 ThinkPHP6框架源码的下载与安装
    Composer下载与安装
    Thinkphp6.0 源码下载与安装
    第3章 目录结构与环境配置
    TP6的目录结构
    TP6的配置的设置方法
    第4章 数据库与查询构造器
    数据库的准备工作
    数据库操作简介
    数据库原生查询实战
    常用查询构造器_1
    常用查询构造器_2
    常用查询构造器_3
    第5章 模型原理与基本操作
    模型的原理的实现
    模型操作概述
    模型对象与依赖注入
    模型中常用的基本操作
    第6章 视图与模板基本操作
    视图与模板简介
    模板定位与赋值
    模板的基本流程控制
    第7章 ThinkPHP6.0课程总结
    ThinkPHP6.0课程总结

    讲师介绍

    天蓬老师
    天蓬老师
    全栈工程师
    课程必读:

    1. 前端的基本知识: HTML, CSS, JavaScript 2. PHP的基础知识 3. 最好对之前的ThinkPHP版本有所了解, 特别是5.1

    能学到什么:

    1. 快速了解什么是多应用 2. 环境变量配置开发环境 3. 更方便的控制器与模型操作 4. 更灵活的视图模板技术

    全部评论我要评论

  • DonnyLiuCoder

    DonnyLiuCoder1年前

    无法打开.env文件,只能通过记事本打开,,你这phpstorm是什么版本的?

    回复
    1

  • phpcn_u31643

    phpcn_u316431个月前

    6.05 没有查询条件 是不会实际进行查询的

    回复
    0

  • phpcn_u31643

    phpcn_u316431个月前

    多应用模式,调试开启,跟踪器必开,哪怕app_trace=false。

    回复
    0

  • IKE(๑¬_¬)

    IKE(๑¬_¬)2个月前

    简直了,和tp5区别太大了吧

    回复
    0

  • 螃蟹吃虾米

    螃蟹吃虾米2个月前

    Env::get('database_type') 获取不到怎么回事?

    回复
    0

  • 张伟晶

    张伟晶2个月前

    dump(Db::query('select * from `user`' )); 这样可以,但是user旁边那俩标点是咋打出来的呢?

    回复
    0

  • A zy

    A zy3个月前

    很不错,简单易懂,支持

    回复
    0

  • Jiangle

    Jiangle5个月前

    我的安装没有选择PHP的路径啊,天,php要怎么安装

    回复
    0

  • 一根鱼骨棒

    一根鱼骨棒6个月前

    添加了问号提示我控制器不存在

    回复
    0

  • 一根鱼骨棒

    一根鱼骨棒6个月前

    dump(Env::get(name:'database_type'));有问题, 正确的是dump(Env::get('database_type'));

    回复
    0

  • rem

    rem6个月前

    peter老师,请问如果控制器的方法,需要用到两个模型对象,怎么写依赖注入?

    回复
    0

  • 李阳

    李阳7个月前

    composer下载不下来

    回复
    0

  • 筱虎

    筱虎8个月前

    php 工具箱 抄袭phpstudy

    回复
    0

  • rockgo

    rockgo8个月前

    我安装一直提示的是 Could not find package topthink/think with version 6.0.*-dev in a version installable using your PHP version 5.5.9

    回复
    0

  • 9个月前

    127.0.0.1 拒绝了我们的连接请求。

    回复
    0

  • 取消回复发送
  • PHP中文网